Bug 588877

Summary: Rebooting a kernel with kvmclock enabled, into a kernel with kvmclock disabled, causes random crashes
Product: [Fedora] Fedora Reporter: Glauber Costa <gcosta>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: amit.shah, berrange, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588874 Environment:
Last Closed: 2010-12-03 10:05:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 588874, 588878, 588884    
Bug Blocks:    

Description Glauber Costa 2010-05-04 14:39:14 EDT
+++ This bug was initially created as a clone of Bug #588874 +++

Description of problem:

Right now, if we boot into a kernel with kvmclock eanbled, and then reboot into a kernel with kvmclock disabled (rebooting with no-kvmclock kernel option is enough), we'll see the second kernel crash with random memory corruption.

This indicates that kvmclock is still writing to the old memory location,
which will now contain something else entirely.

Version-Release number of selected component (if applicable):
all, including upstream

How reproducible:

Always

Steps to Reproduce:
1. boot a kernel with kvmclock enabled
2. reboot
3. pause grub in the OS selection screen, edit parameters, and remove kvmclock
  
Actual results:

Crash

Expected results:

Work.
Comment 1 Bug Zapper 2010-11-03 11:39:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:05:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.